package com.xxl.job.executor.batch.entity.vo;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 快手-获取视频接口
 * @Author: jeecg-boot
 * @Date: 2019-07-25
 * @Version: V1.0
 */

public class KuaiShouVideoGetVo implements Serializable {

    private BigDecimal charge;
    private String statDate;

    /**
     * 视频id
     */
    private String photoId;

    /**
     * 视频预览链接
     */
    private String url;
    /**
     * 视频首帧图片链接
     */
    private String coverUrl;
    /**
     * 视频首帧图片链接
     */
    private String signature;

    private Integer materialType;


    public BigDecimal getCharge() {
        return charge;
    }

    public void setCharge(BigDecimal charge) {
        this.charge = charge;
    }

    public String getStatDate() {
        return statDate;
    }

    public void setStatDate(String statDate) {
        this.statDate = statDate;
    }

    public String getPhotoId() {
        return photoId;
    }

    public void setPhotoId(String photoId) {
        this.photoId = photoId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getCoverUrl() {
        return coverUrl;
    }

    public void setCoverUrl(String coverUrl) {
        this.coverUrl = coverUrl;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public Integer getMaterialType() {
        return materialType;
    }

    public void setMaterialType(Integer materialType) {
        this.materialType = materialType;
    }

    @Override
    public String toString() {
        return "KuaiShouVideoGetVo{" +
                "charge=" + charge +
                ", statDate='" + statDate + '\'' +
                ", photoId='" + photoId + '\'' +
                ", url='" + url + '\'' +
                ", coverUrl='" + coverUrl + '\'' +
                ", signature='" + signature + '\'' +
                ", materialType=" + materialType +
                '}';
    }
}
